commit: 3874dc1581ef301f1ff272852fbfbd53102c7652
Author: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 11 14:36:37 2015 +0000
Commit: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Sat Jul 11 14:36:37 2015 +0000
URL: https://gitweb.gentoo.org/dev/mrueg.git/commit/?id=3874dc15
[dev-python/acme] Improve test handling.
Package-Manager: portage-2.2.20
dev-python/acme/acme-9999.ebuild | 7 +------
1 file changed, 1 insertion(+), 6 deletions(-)
diff --git a/dev-python/acme/acme-9999.ebuild b/dev-python/acme/acme-9999.ebuild
index bbde8c1..20899da 100644
--- a/dev-python/acme/acme-9999.ebuild
+++ b/dev-python/acme/acme-9999.ebuild
@@ -32,10 +32,5 @@ DEPEND="test? ( ${RDEPEND} )
S=${WORKDIR}/${P}/${PN}
python_test() {
- # Fix me: testdata is not available for tests otherwise
- cp -R ${PN}/testdata ../${PN}-${EPYTHON/./_}/lib/${PN} || die
-
- for i in ${PN}/*_test.py; do
- ${PYTHON} "${i}" || die
- done
+ nosetests -w ${PN} || die
}